Skip to content

Get bookingorder extras list ​

GET
/v1/bookingorders/{bookingorder_id}/extras

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

bookingorder_id*

XS2event ID of the Bookingorder

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1

Responses​

OK

application/json
JSON
{
  
"bookingorderextras": [
  
  
{
  
  
  
"bookingorderextra_id": "1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d_ext",
  
  
  
"bookingorder_id": "3fa6eb7f123a4f5ab2c9d8e7a6b7c9d0_bor",
  
  
  
"filename": "terms.pdf",
  
  
  
"label": "extras"
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​